Apache Overkill is back in the PSN Store

In what has now become a ritual or a tradition, call it what you like, Sony has put Apache Overkill back on the PSN, after pulling it from all their stores following the announcement and release of a VHBL port through an exploit in the game.

Hacker TomTomDu80 had released a port of our beloved VHBL to Vita’s firmware 2.06. VHBL is a Homebrew loader that has the benefit of running through a simple usermode exploit on the Vita’s psp emulator, and is relatively simple to port to various game exploits.

Following our announcement of a vulnerability in the psp mini Apache Overkill, Sony had quickly pulled the game from their store. This was soon followed by an update to the Vita firmware, which, among other things, contained a patch against the Apache Overkill exploit, as well as various additional security features. And today, as they’ve done for the previous 8 or so psp games with a buffer overflow vulnerability we announced since last year, Sony have put the game back into their stores.

It goes without saying that if you update to Vita firmware 2.10 or above, getting the game now will not get you anywhere, the point being to have the game and be on firmware 2.06. However techniques exist to buy the game and install it without having to update your Vita, through a Vita and a proxy.

Screenshot below thanks to The Z

apacheoverkill

Here’s a cool anecdote: there are still dozens of psp games on the PSN store with similar vulnerabilities. Not all of them are suitable for a VHBL port, but some of them definitely are :)

  1. Maxilus’s avatar

    And great.. I just found out FW 2.11 has released.

    Reply

    1. GuitaristMatt’s avatar

      So that means I was correct. All it does is fix freezing issues in Vita games. In some copies of Marvel vs Capcom 3, there was a freeze on loading the game that did some serious damage to the OS until restarted.

      Reply

  2. massjoggerbomber’s avatar

    2.11 already fuck you sony mutha fuckas!

    Reply

    1. squiggs’s avatar

      calm down it doesn’t do any think but fix bug in the software. and you know you would be complaining about the bugs not being fixed. so please shove a sock in it. the only reason why sony always block vhbl is because it grows to kernel exploits allowing iso’s.

      Reply

  3. BahamutBBob’s avatar

    I guess they forgot something pretty big in 2.10 if 2.11 is already out :P

    Reply

  4. cosimo98’s avatar

    There is a possibility of a port of the TN-V in Apache Overkill?

    Reply

      1. tinostar91’s avatar

        Why not? If you will find ANY kernel mode explit running on 2.06 then you can use AO exploit

        Reply

  5. alvin’s avatar

    i steel wondering about that to happen.

    Reply

    1. The_S’s avatar

      Uhh, what?

      Reply

  6. CaptainObvious’s avatar

    “However techniques exist to buy the game and install it without having to update your Vita, through a Vita and a proxy.”

    what is this technique? I thought all proxy techniques like charles were fixed by sony?

    Reply

    1. Inicuo’s avatar

      I have the same question, which are these techniques?, now im on 2.10, i thought being in the latest firmware was the only way to get download the games from the psn.

      Ps: you guys that know, wich games should i buy that will possibly work as an exploit for a TN-V in 2.10? would really appreciate it.lol

      Reply

  7. Lucifer Kain’s avatar

    Hi Wololo can you or anyone else do a test in 2.10 of the web browser video support that came with this update? Basically what works and what don’t work like video formats, web pages(twich.tv), etc….

    Thank You very much and have a nice day.

    Reply

  8. alvin’s avatar

    it will happen to port tn but long long wait i guest.

    Reply

    1. Holycrapurdumb’s avatar

      NOOOOOOOOOO IT WON’T!!!!!!!!!!!!!!!!!

      Reply

      1. mlc’s avatar

        There is a good chance that any future TN release will be able to be ported back to this exploit… the only question is if it will be such a long wait that no one will want a port to such a low firmware any longer, in which case it might not get ported very quickly or at all.

        Reply

        1. no sorry’s avatar

          Honestly, I doubt that will ever happen.

          A new exploit for 2.1x will probably be released first.

          Reply

        2. no sorry’s avatar

          Honestly, I doubt that will ever happen.

          A new exploit for 2.1x will probably be released before that ever happens.

          Reply

  9. SeongGino’s avatar

    Ah well, Apache was the most pointless exploit out of all of the ones I have used. Good riddance!

    Reply

  10. begeta’s avatar

    what the topic now ha xbox and ps3? what pointless the_zett gou mean cmon man

    Reply

  11. edukarlo’s avatar

    2.11 is now live, but not mandatory.. no included details about it.. but i think, it is a fix for the fifa bug i’ve read on the PS forums..

    Reply

  12. GlueGun’s avatar

    the value for a CFW is access to PSN.
    Now I know they own the rights but we are there cUstomer.
    Why block it?.

    Reply

    1. no sorry’s avatar

      It forces people to update if they want access to PSN. And the trade off, is mandatory updates to be able to play some games (that you actually own, have a physical cartridge of, etc). DOA5+ being one of them. Can also expect Soul Sacrifice and new games to have the same protection implemented as well as not being able to go online for multiplayer.

      Reply

  13. huz’s avatar

    2.10 or 2.11 on vhbl working on deadalus gba?
    when week on ecfw tn-v

    Reply

  14. Narangil’s avatar

    Hi wololo how I can buy the game through proxy? . I have the 6.2 firmware

    Reply

    1. Narangil’s avatar

      sorry firmware 2.06

      Reply

    2. no sorry’s avatar

      lol no

      If you’re on a lower firmware there is NO WAY TO GET ONTO PSN.

      gg

      Reply

      1. Narangil’s avatar

        read before answering, if possible according wololo through proxy

        “However techniques exist to buy the game and install it without having to update your Vita, through a Vita and a proxy.”

        Reply

        1. N’s avatar

          He probably thought he was talking about Uno for some reason.

          And you need a PS3 to buy 2.06 APO on a 2.06 firmware. I don’t think it’s possible to downgrade firmwares either.

          Reply

    3. chuckthetekkie’s avatar

      You’d have to have the game downloaded on a PS3 in order to use a proxy to install the game onto the Vita. No PS3 on 4.40, then you can’t download the game.

      It appears the game is still not available in all regions as I cannot redownload it yet.

      Reply

      1. Narangil’s avatar

        Thanks is it the only method? I have ps3 on 4.40 Rogero 1.3 but is banned

        Reply

  15. ZeroSkys’s avatar

    2.10 have a glitch of some games not working (not just downloaded ones). 2.11 will mostly likely fix that.

    Reply

  16. Noobas’s avatar

    So if I download Apache Overkill to my PS3 and transfer it to my ps vita which is still on 2.06. I will still be able to run the Apache Overkill exploit on my 2.06 vita? or has it now been patched? thanx

    Reply

    1. tomtomdu80’s avatar

      yes it will work ;)

      Reply

  17. Shadow’s avatar

    ya the freezing issue when u would download something from the ps store was fucking annoying glad they fixed it hopefully we can get an exploit to play psp games again

    Reply

    1. chuckthetekkie’s avatar

      I don’t think they fixed it fully as I have had it happen on 2.11 as well as 2.10.

      Reply

  18. Noobas’s avatar

    Thanks tomtom! Will be trying this out today ;)

    Reply

  19. Robson’s avatar

    Not found in psn, which region this American or European?

    Reply

  20. Harbormasterskipper’s avatar

    Can not find the on psn us,uk,or hk either

    Reply

  21. kc’s avatar

    just updated my ps3, linked psn accnt to vita, installed open cma 5,…all in an excited rage to get vhbl on my 2.06 vita…and apache overkill is nowhere to be found on the psn store…..what gives? am i doing something wrong? to any experienced super haxors much help would be appreciated… thanks, your friendly neighborhood noober.

    Reply

  22. APJR’s avatar

    Is this game still in PSN?, cuz I cant find it anywhere.

    Also is there a way to bypass the mandatory FW upgrade to play Soul Sacrifice?

    I’m on eCFW 2.02 with UNO

    Reply

  23. Archit’s avatar

    so in simple words no cfw possible if im on 2.11 till a new exploit is out right?

    Reply

  24. sander bacad’s avatar

    i cant download the content

    Reply

  25. Nuck’s avatar

    How do I play ps vita games on my ps vita for free? I updated it to 2.11. Did I mess up? It’s brand new btw.

    Reply

  26. Jack Mentor’s avatar

    I really hope this is good im pretty sure it is

    Reply

Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>